
<?php
    require_once './classes/Pool.php';
    
    // Vytvoříme objekt ankety
    $myPool = new Pool('anketa.txt', 'myPool', 60 * 60);
    // Nastavíme anketní otázku
    $myPool->setQuestion('Jaké rychlé občerstvení preferujete?');
    // Nastavíme volby ankety   
    $volby = ['KFC', 'McDonald', 'BurgerKing', 'SubWay', 'Čína'];
    $myPool->setChoicesText($volby);
    $description = "";
?>

   
<div class="row">

        <div class="col-xl-8">
            
            <h1><?=$menu->getActivePageTitle();?></h1>
            <hr>


            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title">
                        Anketní otázka
                    </h3>
                </div>

                <div class="panel-body">

                <?php
                    foreach($myPool->getAllChoices() as $choice => $text):
                        $link = "index.php?".$pageParamName."=anketa&".$myPool->getPoolName()."=".$choice;
                ?>

                    <a href="<?=$link;?>">
                        <?=$text;?>
                        <span class="badge"><?=$myPool->getChoiceCount($choice);?></span>
                    </a>

                    <div class="progress">
                        <div class="progress-bar" aria-valuenow="<?=$myPool->getChoiceCount($choice);?>" aria-valuemin="0" aria-valuemax="100" style="width: <?=$myPool->getWidthOfGraphToChoice($choice);?>%;">
                            <?=$myPool->getWidthOfGraphToChoice($choice);?>%
                        </div>
                    </div>

                <?php
                    endforeach;
                ?>
                </div>
                <div class="panel-footer">
                    Celkem hlasovalo: <?=$myPool->getChoicesSum();?> osob
                </div>
            </div>
        </div>



        <div class="col-xl-4">  
            <h2>Info k anketě</h2>
            <div class="well">
                <p>Kdo nehlasuje je ...</p>
            </div>
        </div> 
            
            

</div>